Subject: Re: bug#40188: check-declare-files does not include malformed declarations in the list

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 10 Aug 2021 18:33:31 +0200

Neil Okamoto <[email-masked]> writes:

> ;; repro for 40188:
> ;;      http://debbugs.gnu.org/cgi/bugreport.cgi?bug=40188
>
> ;; evaluate:
> ;;     (check-declare-file "test.el")
> ;; yields:
> ;;     (("../../tmp/check-declare/some-file.el"
> ;;       ("/tmp/check-declare/test.el" "bar" "file not found")))
> ;; 
> ;; which omits the second declare-function, which is malformed 
>
> (declare-function bar "some-file.el")
> (declare-function foo ‘malformed)

Well, the doc string says that it "checks the veracity" of the
declare-function calls -- not that it checks whether they're malformed.

So I think the return value is working as intended.

However, it (now) pops up the following warning:

check.el:14:Warning (check-declare): said ‘foo’ was defined in unknown file:
    Malformed declaration

So it does warn about the malformed `declare-function' (but doesn't
include it in the return value).

I think this is probably working as intended on the whole, so I'm
closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no